Bug 991929 - [ARM] Agda FTBFS
Summary: [ARM] Agda FTBFS
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Agda
Version: rawhide
Hardware: arm
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: TemplateHaskell
Depends On:
Blocks: ARMTracker F20FTBFS
TreeView+ depends on / blocked
 
Reported: 2013-08-05 02:58 UTC by Dennis Gilmore
Modified: 2019-09-10 02:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:25:05 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2013-08-05 02:58:01 UTC
Your package Agda failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5694323

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/4323/5694323/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/4323/5694323/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/4323/5694323/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

Comment 1 Jens Petersen 2013-08-20 23:10:52 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=5834213

[ 77 of 251] Compiling Agda.Syntax.Internal ( src/full/Agda/Syntax/Internal.hs, dist/build/Agda/Syntax/Internal.o )
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Loading package array-0.4.0.1 ... linking ... done.
Loading package deepseq-1.3.0.1 ... linking ... done.
Loading package bytestring-0.10.0.2 ... linking ... done.
Loading package zlib-0.5.4.1 ... linking ... done.
Loading package xhtml-3000.2.1 ... linking ... done.
Loading package text-0.11.3.1 ... linking ... done.
Loading package hashable-1.1.2.5 ... linking ... done.
Loading package unordered-containers-0.2.3.0 ... linking ... done.
Loading package filepath-1.3.0.1 ... linking ... done.
Loading package old-locale-1.0.0.5 ... linking ... done.
Loading package time-1.4.0.1 ... linking ... done.
Loading package unix-2.6.0.1 ... linking ... done.
Loading package directory-1.2.0.1 ... linking ... done.
Loading package process-1.1.0.2 ... linking ... done.
Loading package containers-0.5.0.0 ... linking ... done.
Loading package parallel-3.2.0.3 ... linking ... done.
Loading package old-time-1.1.0.1 ... linking ... done.
Loading package cpphs-1.16 ... linking ... done.
Loading package pretty-1.1.1.0 ... linking ... done.
Loading package haskell-src-exts-1.13.5 ... linking ... done.
Loading package terminfo-0.3.2.5 ... linking ... done.
Loading package transformers-0.3.0.0 ... linking ... done.
Loading package haskeline-0.7.0.3 ... linking ... done.
Loading package primitive-0.5.0.1 ... linking ... done.
Loading package vector-0.10.0.1 ... linking ... done.
Loading package hashtables-1.0.1.8 ... linking ... done.
Loading package mtl-2.1.2 ... linking ... done.
Loading package template-haskell ... linking ... done.
Loading package geniplate-0.6.0.3 ... linking ... done.
Loading package binary-0.5.1.1 ... linking ... done.
Loading package random-1.0.1.1 ... linking ... done.
Loading package QuickCheck-2.6 ... linking ... done.
error: Bad exit status from /var/tmp/rpm-tmp.AXo34V (%build)

Comment 2 Fedora End Of Life 2013-09-16 15:04:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 3 Peter Robinson 2014-08-16 15:14:08 UTC
Gets a lot further in F-21/rawhide Agda-2.3.2.2

http://koji.fedoraproject.org/koji/taskinfo?taskID=7332502

[249 of 251] Compiling Agda.Interaction.InteractionTop ( src/full/Agda/Interaction/InteractionTop.hs, dist/build/Agda/Interaction/InteractionTop.p_o )
[250 of 251] Compiling Agda.Interaction.GhcTop ( src/full/Agda/Interaction/GhcTop.hs, dist/build/Agda/Interaction/GhcTop.p_o )
ghc: panic! (the 'impossible' happened)
  (GHC version 7.6.3 for arm-unknown-linux):
	applyTypeToArgs
    haskell-src-exts-1.13.5:Language.Haskell.Exts.Comments.$w$cgmapQr{v rnkM} [gid]
      base:GHC.IO.Handle.FD.stdout{v r1eD} [gid]
      base:GHC.IO.Handle.Types.NoBuffering{v r1g4} [gid[DataCon]]
    forall r{tv ccCfZ} [tv] r'{tv ccCg0} [tv].
    (r'{tv ccCg0} [tv] -> r{tv ccCfZ} [tv] -> r{tv ccCfZ} [tv])
    -> r{tv ccCfZ} [tv]
    -> (forall d{tv ccCg1} [tv].
        base:Data.Data.Data{tc 29} d{tv ccCg1} [tv] =>
        d{tv ccCg1} [tv] -> r'{tv ccCg0} [tv])
    -> ghc-prim:GHC.Types.Bool{(w) tc 3c}
    -> haskell-src-exts-1.13.5:Language.Haskell.Exts.SrcLoc.SrcSpan{tc s15g6M}
    -> base:GHC.Base.String{tc 36u}
    -> r{tv ccCfZ} [tv]
Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug
error: Bad exit status from /var/tmp/rpm-tmp.R33Jlz (%build)

Comment 4 Jens Petersen 2014-08-20 07:44:15 UTC
Thanks for the report: I am hoping that 7.8.3 will help with
some of the ARM template-haskell issues.

Comment 5 Jaroslav Reznik 2015-03-03 14:58:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Jens Petersen 2015-04-03 12:56:56 UTC
Gets pretty far with ghc-7.8.4:

[276 of 278] Compiling Agda.Interaction.InteractionTop ( src/full/Agda/Interaction/InteractionTop.hs, dist/build/Agda/Interaction/InteractionTop.o )
ghc: out of memory (requested 1048576 bytes)

Comment 7 Jens Petersen 2016-10-06 10:02:30 UTC
With ghc-7.10.3 for Agda-2.4.2.5 still get:

[279 of 294] Compiling Agda.TypeChecking.Rules.Decl ( src/full/Agda/TypeChecking/Rules/Decl.hs, dist/build/Agda/TypeChecking/Rules/Decl.o )
ghc: out of memory (requested 2097152 bytes)

Comment 8 Jens Petersen 2017-03-10 11:28:35 UTC
With ghc-8.0.2 (f26):

[304 of 334] Compiling Agda.Syntax.Translation.ConcreteToAbstract ( src/full/Agda/Syntax/Translation/ConcreteToAbstract.hs, dist/build/Agda/Syntax/Translation/ConcreteToAbstract.o )
ghc: out of memory (requested 1048576 bytes)

Comment 9 Fedora End Of Life 2017-11-16 18:31:30 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-12-12 10:25:05 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Jens Petersen 2017-12-15 04:05:40 UTC
Still true today

Comment 12 Fedora End Of Life 2018-02-20 15:37:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 13 Jens Petersen 2018-08-29 00:53:36 UTC
[193 of 325] Compiling Agda.TypeChecking.Monad.Signature ( src/full/Agda/TypeChecking/Monad/Signature.hs, dist/build/Agda/TypeChecking/Monad/Signature.o )
ghc: panic! (the 'impossible' happened)
  (GHC version 8.2.2 for arm-unknown-linux):
	piResultTy
  Impossible
  Name
  Call stack:
      CallStack (from HasCallStack):
        prettyCurrentCallStack, called at compiler/utils/Outputable.hs:1133:58 in ghc:Outputable
        callStackDoc, called at compiler/utils/Outputable.hs:1137:37 in ghc:Outputable
        pprPanic, called at compiler/types/Type.hs:949:35 in ghc:Type
Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug

Comment 14 Jens Petersen 2019-09-10 02:40:51 UTC
ghc-8.6.5 panics:

[157 of 357] Compiling Agda.TypeChecking.Monad.Base ( src/full/Agda/TypeChecking/Monad/Base.hs, dist/build/Agda/TypeChecking/Monad/Base.o )
BUILDSTDERR: ghc: panic! (the 'impossible' happened)
BUILDSTDERR:   (GHC version 8.6.5 for arm-unknown-linux):
BUILDSTDERR: 	piResultTys1
BUILDSTDERR:   TyCon
BUILDSTDERR:   [ProblemId]
BUILDSTDERR:   Call stack:
BUILDSTDERR:       CallStack (from HasCallStack):
BUILDSTDERR:         callStackDoc, called at compiler/utils/Outputable.hs:1160:37 in ghc:Outputable
BUILDSTDERR:         pprPanic, called at compiler/types/Type.hs:1022:5 in ghc:Type
BUILDSTDERR: Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug

Reported at https://gitlab.haskell.org/ghc/ghc/issues/17175


Note You need to log in before you can comment on or make changes to this bug.